Skip to content

Delete Webhook

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

By specifying multiple webhookIds, webhook is deleted in the form of an array. If the webhookId does not exist, no error message is given.

Method name

ManagementClient.deleteWebhook

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
webhookIdsstring[]Yes-webhookId array["xxxx"]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialization ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.deleteWebhook({
    webhookIds: ["6229ffaxxxxxxxxcade3e3d9"],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: DeleteWebhookRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. It will be returned when the request fails.

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data structure

Agent infrastructure for identity, memory, and web action.